Subject: bug#46594: [External] : bug#46594: Use short answers

From: Juri Linkov <[email-masked]>
Date: Thu, 25 Feb 2021 11:20:34 +0200

> I'm not sure we should include this:
>
>   and giving the wrong answer would have serious consequences
>
> That's not necessary, IMO.  Not even if you change
> "would" (which is wrong) to "could".

I copied this text verbatim from the Emacs manual
from the node (info "(emacs) Yes or No Prompts"):

     The second type of yes-or-no query is typically employed if giving
  the wrong answer would have serious consequences; it thus features a
  longer prompt ending with ‘(yes or no)’.

Now I noticed it has "if" before.

> It's enough to say that presumably yes-or-no-p is
> used so you take time and perhaps think more about
> the answer.  No need to imply serious consequences.
>
> Why do we say this?
>
>   In this case it means also obeying the value of
>   `y-or-n-p-use-read-key'.
>
> Doesn't that follow, if the behavior is that of
> y-or-n-p (I don't know)?  If it does, then just
> refer them to the doc for y-or-n-p; don't repeat
> any of that doc here.

Ok.